Index: include/Makefile.in
--- include/Makefile.in.orig	2006-10-26 14:03:01 +0200
+++ include/Makefile.in	2006-11-03 09:00:25 +0100
@@ -379,14 +379,14 @@
 			errmsg.h my_global.h my_net.h my_alloc.h \
 			my_getopt.h sslopt-longopts.h my_dir.h typelib.h \
 			sslopt-vars.h sslopt-case.h sql_common.h keycache.h \
-			mysql_time.h mysql/plugin.h $(BUILT_SOURCES)
+			mysql_time.h mysql/plugin.h my_aes.h rijndael.h sha1.h $(BUILT_SOURCES)
 
 noinst_HEADERS = config-win.h config-netware.h \
 			heap.h my_bitmap.h my_uctype.h \
 			myisam.h myisampack.h myisammrg.h ft_global.h\
 			mysys_err.h my_base.h help_start.h help_end.h \
-			my_nosys.h my_alarm.h queues.h rijndael.h sha1.h \
-			my_aes.h my_tree.h my_trie.h hash.h thr_alarm.h \
+			my_nosys.h my_alarm.h queues.h \
+			my_tree.h my_trie.h hash.h thr_alarm.h \
 			thr_lock.h t_ctype.h violite.h md5.h base64.h \
 			mysql_version.h.in my_handler.h my_time.h decimal.h \
 			my_vle.h my_user.h my_atomic.h atomic/nolock.h \
Index: include/my_global.h
--- include/my_global.h.orig	2006-10-26 14:01:59 +0200
+++ include/my_global.h	2006-11-03 09:00:25 +0100
@@ -844,9 +844,8 @@
 #define SSIZE_MAX ((~((size_t) 0)) / 2)
 #endif
 
-#if !defined(HAVE_ISINF) && !defined(isinf)
+#undef isinf
 #define isinf(X)    0
-#endif
 
 /* Define missing math constants. */
 #ifndef M_PI
Index: mysys/default.c
--- mysys/default.c.orig	2006-10-26 14:01:57 +0200
+++ mysys/default.c	2006-11-03 09:00:25 +0100
@@ -1011,7 +1011,7 @@
 #elif defined(__NETWARE__)
   *ptr++= "sys:/etc/";
 #else
-  *ptr++= "/etc/";
+  *ptr++= "@l_prefix@/etc/mysql/";
 #endif
   if ((env= getenv(STRINGIFY_ARG(DEFAULT_HOME_ENV))))
     *ptr++= env;
Index: scripts/mysql_config.sh
--- scripts/mysql_config.sh.orig	2006-10-26 14:01:56 +0200
+++ scripts/mysql_config.sh	2006-11-03 09:00:25 +0100
@@ -98,9 +98,9 @@
 
 # Create options 
 # We intentionally add a space to the beginning and end of lib strings, simplifies replace later
-libs=" $ldflags -L$pkglibdir -lmysqlclient @ZLIB_DEPS@ @NON_THREADED_LIBS@"
+libs=" $ldflags -L$pkglibdir -lmysqlclient -lmysys @ZLIB_DEPS@ @NON_THREADED_LIBS@"
 libs="$libs @openssl_libs@ @STATIC_NSS_FLAGS@ "
-libs_r=" $ldflags -L$pkglibdir -lmysqlclient_r @ZLIB_DEPS@ @LIBS@ @openssl_libs@ "
+libs_r=" $ldflags -L$pkglibdir -lmysqlclient_r -lmysys @ZLIB_DEPS@ @LIBS@ @openssl_libs@ "
 embedded_libs=" $ldflags -L$pkglibdir -lmysqld @ZLIB_DEPS@ @LIBS@ @WRAPLIBS@ @innodb_system_libs@ @openssl_libs@ "
 
 cflags="-I$pkgincludedir @CFLAGS@ " #note: end space!
Index: scripts/mysql_create_system_tables.sh
--- scripts/mysql_create_system_tables.sh.orig	2006-10-26 14:01:50 +0200
+++ scripts/mysql_create_system_tables.sh	2006-11-03 09:00:25 +0100
@@ -81,9 +81,6 @@
   c_d="$c_d ) engine=MyISAM"
   c_d="$c_d CHARACTER SET utf8 COLLATE utf8_bin"
   c_d="$c_d comment='Database privileges';"
-  
-  i_d="INSERT INTO db VALUES ('%','test','','Y','Y','Y','Y','Y','Y','N','Y','Y','Y','Y','Y','Y','Y','Y','N','N','Y','Y');
-  INSERT INTO db VALUES ('%','test\_%','','Y','Y','Y','Y','Y','Y','N','Y','Y','Y','Y','Y','Y','Y','Y','N','N','Y','Y');"
 fi
 
 if test ! -f $mdata/host.frm
@@ -174,17 +171,13 @@
   then
     i_u="INSERT INTO user VALUES ('localhost','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);
     INSERT INTO user VALUES ('$hostname','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);
-    REPLACE INTO user VALUES ('127.0.0.1','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);
-    INSERT INTO user (host,user) values ('localhost','');
-    INSERT INTO user (host,user) values ('$hostname','');"
+    REPLACE INTO user VALUES ('127.0.0.1','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);"
   else
     i_u="INSERT INTO user VALUES ('localhost','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);"
     if test "$windows" = "0"
     then
       i_u="$i_u
-           INSERT INTO user VALUES ('$hostname','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);
-           INSERT INTO user (host,user) values ('$hostname','');
-           INSERT INTO user (host,user) values ('localhost','');"
+           INSERT INTO user VALUES ('$hostname','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);"
     else
       i_u="$i_u
 	   INSERT INTO user VALUES ('localhost','','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0);"
Index: sql/Makefile.in
--- sql/Makefile.in.orig	2006-10-26 14:03:10 +0200
+++ sql/Makefile.in	2006-11-03 09:02:32 +0100
@@ -490,7 +490,7 @@
 			$(top_builddir)/mysys/libmysys.a \
 			$(top_builddir)/dbug/libdbug.a \
 			$(top_builddir)/regex/libregex.a \
-			$(top_builddir)/strings/libmystrings.a @ZLIB_LIBS@
+			$(top_builddir)/strings/libmystrings.a
 
 mysqld_DEPENDENCIES = @mysql_plugin_libs@ $(LDADD)
 mysqld_LDADD = @MYSQLD_EXTRA_LDFLAGS@ \
